API ReferenceElevenLabs SDK
List voices (SDK get_all)
GET
/el/v1/voicesLists voices with ElevenLabs voices.get_all(). Use provider_only to choose a provider. The returned voice_id values can be used directly with the /el TTS endpoints.
xi-api-key<token>
Tenant key (ElevenLabs SDK convention).
In: header
Query Parameters
provider_only?string
Return voices from one TTS provider. Defaults to elevenlabs.
Value in
- "deepgram"
- "elevenlabs"
- "soniox"
- "fish"
- "groq"
- "grok"
- "minimax"
- "cartesia"
- "together"
- "openai"
- "gemini"
- "fal"
- "inworld"
- "amazon"
- "sprag"
Response Body
application/json
application/json
application/json
const response = await fetch("https://api.allmodels.io/el/v1/voices", { headers: { Authorization: `Bearer ${process.env.ALLMODELS_API_KEY}` }});if (!response.ok) throw new Error(`AllModels request failed: ${response.status}`);console.log(await response.json());import osimport requestsresponse = requests.get( "https://api.allmodels.io/el/v1/voices", headers={"Authorization": f"Bearer {os.environ['ALLMODELS_API_KEY']}"}, timeout=30,)response.raise_for_status()print(response.json())curl "https://api.allmodels.io/el/v1/voices" \ -H "Authorization: Bearer $ALLMODELS_API_KEY"import { ElevenLabsClient } from "@elevenlabs/elevenlabs-js";const client = new ElevenLabsClient({ apiKey: process.env.ALLMODELS_API_KEY, baseUrl: "https://api.allmodels.io/el"});const response = await client.voices.getAll();for (const voice of response.voices) { console.log(voice.voiceId, voice.name);}import osfrom elevenlabs.client import ElevenLabsclient = ElevenLabs( api_key=os.environ["ALLMODELS_API_KEY"], base_url="https://api.allmodels.io/el",)response = client.voices.get_all()for voice in response.voices: print(voice.voice_id, voice.name){ "voices": [ { "voice_id": "EXAVITQu4vr4xnSDxMaL", "name": "Sarah", "labels": { "gender": "female" }, "category": "premade", "available_for_tiers": [], "high_quality_base_model_ids": [] } ]}{ "detail": { "message": "unknown or non-TTS provider 'assemblyai'", "status": "invalid_provider", "provider": "assemblyai", "supported": [ "deepgram", "elevenlabs", "openai" ] }}{ "error": "missing_api_key"}ElevenLabs SDK-compatible realtime STT (WebSocket) GET
Streams audio and receives ElevenLabs-compatible transcript events with `client.speechToText.realtime.connect(...)`. The request must include `Upgrade: websocket`.
List voices (SDK search) GET
Lists voices with ElevenLabs `voices.search()`. Use `page_size` to limit the result. All matching voices are returned in one page.
